[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,cosh:f16:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,cross:abstract_float:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,countLeadingZeros:u32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,cross:f32:*]
  [:inputSource="const"]
    expected: FAIL

  [:inputSource="uniform"]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,cosh:f32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,cos:abstract_float:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,cos:f32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,countOneBits:u32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,countTrailingZeros:i32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,atomicXor:xor:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,ceil:f32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,cross:f16:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,countTrailingZeros:u32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,cosh:abstract_float:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,clamp:f32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,clamp:abstract_float:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,clamp:u32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,countOneBits:i32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,clamp:abstract_int:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,clamp:i32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,cos:f16:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,ceil:abstract_float:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,ceil:f16:*]

[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,countLeadingZeros:i32:*]
  [:inputSource="const";vectorize="_undef_"]
    expected: FAIL

  [:inputSource="const";vectorize=2]
    expected: FAIL

  [:inputSource="const";vectorize=3]
    expected: FAIL

  [:inputSource="const";vectorize=4]
    expected: FAIL

  [:inputSource="uniform";vectorize=2]
    expected: FAIL

  [:inputSource="uniform";vectorize=3]
    expected: FAIL

  [:inputSource="uniform";vectorize=4]
    expected: FAIL

  [:inputSource="storage_r";vectorize=2]
    expected: FAIL

  [:inputSource="storage_r";vectorize=3]
    expected: FAIL

  [:inputSource="storage_r";vectorize=4]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=2]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=3]
    expected: FAIL

  [:inputSource="storage_rw";vectorize=4]
    expected: FAIL


[cts.https.html?q=webgpu:shader,execution,expression,call,builtin,clamp:f16:*]
